Package: nodejs
Version: 4.4.3~dfsg-1
Severity: normal

On a mixed-architecture system (such as x32 and i386),
nodejs can be installed from i386 even when the main
architecture is x32. However, due to a missing annotation
as Multi-Arch: foreign, rdeps like node-uglify cannot be
installed.

Please annotate the package as M-A: foreign iff it “only”
provides a script interpreter or somesuch, like we did
with all the shells and most other interpreters. Otherwise,
please consider splitting it up so that it’ll still become
possible to do that.

-- System Information:
Debian Release: stretch/sid
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'buildd-unstable'), (500, 'unstable')
Architecture: x32 (x86_64)
Foreign Architectures: i386, amd64

Kernel: Linux 4.5.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/lksh
Init: sysvinit (via /sbin/init)

Versions of packages nodejs depends on:
ii  libc6        2.22-11
ii  libgcc1      1:6.1.1-5
ii  libicu55     55.1-7
ii  libssl1.0.2  1.0.2h-1
ii  libstdc++6   6.1.1-5
ii  libuv1       1.9.1-1
ii  zlib1g       1:1.2.8.dfsg-2+b2

nodejs recommends no packages.

nodejs suggests no packages.

-- no debconf information

-- debsums errors found:
debsums: package nodejs is not installed

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to